<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml" lang="" xml:lang="">
  <head>
    <meta charset="utf-8" />
    <meta name="generator" content="pandoc" />
    <meta
      name="viewport"
      content="width=device-width, initial-scale=1.0, user-scalable=yes"
    />
    <title>how2reboot-a-mac</title>
    <style type="text/css">
      code {
        white-space: pre-wrap;
      }
      span.smallcaps {
        font-variant: small-caps;
      }
      span.underline {
        text-decoration: underline;
      }
      div.column {
        display: inline-block;
        vertical-align: top;
        width: 50%;
      }
    </style>
  </head>
  <body>
    <h1 id="phresh-n-clean">Phresh ’n Clean</h1>
    <p>Wipe your hard drive clean and install your apps quickly.</p>
    <p>
      <a
        href="https://github.com/naoki-evan-hisamoto/phresh-n-clean/blob/master/README.md#preparation"
        ><strong>Preparation</strong></a
      >
      section will prevent you from losing important files, documents, and
      registration keys upon reinstallation.
    </p>
    <p>
      <a
        href="https://github.com/naoki-evan-hisamoto/phresh-n-clean/blob/master/README.md#wipe--reinstall"
        ><strong>Wipe + Reinstall</strong></a
      >
      section will walk you through installing a phresh copy of OSX.
    </p>
    <p>
      <a
        href="https://github.com/naoki-evan-hisamoto/phresh-n-clean/blob/master/README.md#set-up"
        ><strong>Set Up</strong></a
      >
      section will walk you through getting your phresh machine up and running
      as quickly as possible.
    </p>
    <p>
      <a
        href="https://github.com/naoki-evan-hisamoto/phresh-n-clean/blob/master/README.md#application-installation"
        ><strong>Application Installation</strong></a
      >
      section will walk you through installing your applications.
    </p>
    <p>
      <a
        href="https://github.com/naoki-evan-hisamoto/phresh-n-clean/blob/master/README.md#tasty-treats"
        ><strong>Tasty Treats</strong></a
      >
      section will tell you some of our Liferay team members’ top picks for
      applications and extensions.
    </p>
    <h2 id="preparation">Preparation</h2>
    <h3 id="back-up">1. Back Up</h3>
    <p>
      A fresh install of OS X will wipe any files, programs, and documents from
      your hard drive. Whether you use Time Machine, the Cloud, or an external
      hard drive, be sure to have a back up of anything you will need on your
      phresh machine. If you are using the cloud, make sure all files are
      finished syncing as well.
    </p>
    <blockquote>
      <h6 id="resources">Resources</h6>
      <p>
        <a
          href="http://osxdaily.com/2017/10/02/clean-install-macos-high-sierra/"
          >How To Clean Install MacOS High Sierra</a
        ><br />
        Information from
        <a
          href="http://osxdaily.com/2017/10/02/clean-install-macos-high-sierra/"
          >OSXDaily</a
        >
      </p>
    </blockquote>
    <blockquote>
      <h6 id="resources-1">Resources</h6>
      <p>
        <a
          href="https://fieldguide.gizmodo.com/make-your-mac-feel-like-new-again-with-a-fresh-install-1697926482"
          >Make Your Mac Feel Like New Again With a Fresh Install of OSX</a
        ><br />
        Information from
        <a
          href="https://fieldguide.gizmodo.com/make-your-mac-feel-like-new-again-with-a-fresh-install-1697926482"
          >Field Guide—Gizmodo</a
        >
      </p>
    </blockquote>
    <hr />
    <h2 id="wipe-reinstall">Wipe + Reinstall</h2>
    <h3 id="wipe">1. Wipe</h3>
    <p>
      You will be erasing your hard drive at this point. Once you have completed
      this step, your hard drive will be reformatted.
    </p>
    <ol type="1">
      <li>Make sure your computer is plugged into a power source.</li>
      <li>
        <code>Restart</code> your computer and hold down <code>⌘ + R</code> as
        soon as the reboot starts. If successful, you will be met by the OSX
        Utilities screen.
      </li>
      <li>
        Select <strong>Disk Utility</strong>, select your
        <strong>Hard Drive</strong>.
      </li>
      <li>Select the <strong>Erase</strong> tab.</li>
      <li>
        Rename your Hard Drive, select the
        <a
          href="https://support.apple.com/guide/disk-utility/erase-a-volume-dskutl14079/mac"
          >format</a
        >
        of your Hard Drive, and select <strong>Erase</strong>.
      </li>
      <li>
        Once the drive has been formatted, exit out of Disk Utility to return to
        the OSX Utilities screen.
      </li>
    </ol>
    <blockquote>
      <h6 id="resources-2">Resources</h6>
      <p>
        <a
          href="https://fieldguide.gizmodo.com/make-your-mac-feel-like-new-again-with-a-fresh-install-1697926482"
          >Make Your Mac Feel Like New Again With a Fresh Install of OSX</a
        ><br />
        Information from
        <a
          href="https://fieldguide.gizmodo.com/make-your-mac-feel-like-new-again-with-a-fresh-install-1697926482"
          >Field Guide—Gizmodo</a
        ><br />
        <a
          href="http://osxdaily.com/2017/10/02/clean-install-macos-high-sierra/"
          >How to Clean Install MacOS high Sierra</a
        ><br />
        Information from
        <a
          href="http://osxdaily.com/2017/10/02/clean-install-macos-high-sierra/"
          >OSXDaily</a
        ><br />
        <a
          href="https://support.apple.com/guide/disk-utility/erase-a-volume-dskutl14079/mac"
          >Disk Utility Help—Erase a volume</a
        ><br />
        Information from
        <a
          href="https://support.apple.com/guide/disk-utility/erase-a-volume-dskutl14079/mac"
          >Apple Support</a
        >
      </p>
    </blockquote>
    <hr />
    <h3 id="reinstall">2. Reinstall</h3>
    <p>
      Now that you have a reformatted hard drive, you will be installing a
      phresh copy of the latest OSX onto your hard drive (Unless you have the
      installation files for a different OS version on a flash drive).
    </p>
    <ol type="1">
      <li>Make sure your computer is plugged into a power source.</li>
      <li>
        From the OSX Utilities screen select <strong>install macOS</strong>.
      </li>
      <li>
        Select the hard drive you just reformatted in step 3 of the previous
        section.
      </li>
      <li>
        Select <strong>Install</strong> and select your preferences as prompted.
      </li>
    </ol>
    <blockquote>
      <h6 id="resources-3">Resources</h6>
      <p>
        <a
          href="http://osxdaily.com/2017/10/02/clean-install-macos-high-sierra/"
          >How To Clean Install MacOS High Sierra</a
        ><br />
        Information from
        <a
          href="http://osxdaily.com/2017/10/02/clean-install-macos-high-sierra/"
          >OSXDaily</a
        >
      </p>
    </blockquote>
    <h2 id="section"></h2>
    <h2 id="set-up">Set Up</h2>
    <p>
      The Set Up section will walk you through getting your phresh machine up
      and running as quickly as possible. We will set up the computer with
      Homebrew, Node, NPM, Gulp, Homebrew Cask, Git, and Github. This will
      prepare your computer for future processes such as installing applications
      quickly.
    </p>
    <h3 id="homebrew-link">1. Homebrew <a href="http://brew.sh">:link:</a></h3>
    <p>
      Homebrew is a great tool for web developers. First, it makes removing Node
      very easy (otherwise you have to crawl through your file system and delete
      a bunch of files manually). Second, it greatly simplfies the installation
      of other useful packages like Git, Ruby, or the very useful wget utility.
    </p>
    <ol type="1">
      <li>Paste this into a Terminal prompt:</li>
    </ol>
    <pre><code>/usr/bin/ruby -e &quot;$(curl -fsSL https://raw.githubusercontent.com/Homebrew/install/master/install)&quot;</code></pre>
    <blockquote>
      <h6 id="resources-4">Resources</h6>
      <p>
        <a href="https://docs.brew.sh/">Homebrew Documentation</a> Description
        from
        <a href="http://blog.teamtreehouse.com/install-node-js-npm-mac"
          >Treehouse blog</a
        >
      </p>
    </blockquote>
    <h2 id="section-1"></h2>
    <h3 id="node-npm-link">
      2. Node + NPM <a href="https://www.npmjs.com">:link:</a>
    </h3>
    <p>
      NPM is a package manager for JavaScript and the world’s largest software
      registry. Discover packages of reusable code — and assemble them in
      powerful new ways.
    </p>
    <ol type="1">
      <li>Enter <code>brew install node</code> into a Terminal prompt.</li>
      <li>
        Enter <code>npm install npm@latest -g</code> into a Terminal prompt.
      </li>
      <li>
        To check the install, enter <code>node -v; npm -v</code>. You should see
        two numbers print out which are the versions for node and npm
        respectively.
      </li>
    </ol>
    <blockquote>
      <h6 id="resources-5">Resources</h6>
      <p>
        <a href="https://docs.npmjs.com/">npmjs Documentation</a> Description
        from <a href="https://www.npmjs.com">npmjs</a>
      </p>
    </blockquote>
    <h2 id="section-2"></h2>
    <h3 id="gulp-link">3. Gulp <a href="https://gulpjs.com/">:link:</a></h3>
    <p>
      gulp is a toolkit for automating painful or time-consuming tasks in your
      development workflow, so you can stop messing around and build something.
    </p>
    <ol type="1">
      <li>
        Enter <code>npm install -global gulp-cli</code> into a Terminal prompt.
      </li>
      <li>
        To check the install, enter <code>gulp -v</code>. You should see a
        number print out which is the version for gulp.
      </li>
    </ol>
    <blockquote>
      <h6 id="resources-6">Resources</h6>
      <p>
        <a href="https://github.com/gulpjs/gulp">gulpjs Documentation</a>
        Description from <a href="https://github.com/gulpjs/gulp">gulpjs</a>
      </p>
    </blockquote>
    <h2 id="section-3"></h2>
    <h3 id="homebrew-cask-link">
      4. Homebrew Cask <a href="https://caskroom.github.io/">:link:</a>
    </h3>
    <p>
      Homebrew-Cask extends Homebrew and brings its elegance, simplicity, and
      speed to macOS applications and large binaries alike.
    </p>
    <ol type="1">
      <li>Enter <code>brew tap caskroom/cask</code> into a Terminal prompt.</li>
    </ol>
    <blockquote>
      <h6 id="resources-7">Resources</h6>
      <p>
        <a href="https://caskroom.github.io/">Homebrew Cask Documentation</a>
        Description from <a href="https://caskroom.github.io/">Homebrew Cask</a>
      </p>
    </blockquote>
    <h2 id="section-4"></h2>
    <h3 id="caskroom-fonts-link">
      5. Caskroom-fonts
      <a href="https://github.com/caskroom/homebrew-fonts">:link:</a>
    </h3>
    <p>
      Caskroom-fonts is a Homebrew Tap which allows you to use the same friendly
      Homebrew-style CLI workflow for the administration of binary font files on
      your Mac.
    </p>
    <ol type="1">
      <li>
        Enter <code>brew tap caskroom/fonts</code> into a Terminal prompt.
      </li>
    </ol>
    <blockquote>
      <h6 id="resources-8">Resources</h6>
      <p>
        <a href="https://github.com/caskroom/homebrew-fonts"
          >Caskroom Fonts Documentation</a
        >
        Description from
        <a href="https://github.com/caskroom/homebrew-fonts">Caskroom Fonts</a>
      </p>
    </blockquote>
    <h2 id="section-5"></h2>
    <h3 id="git-github-link">
      6. Git + GitHub <a href="https://github.com/">:link:</a>
    </h3>
    <p>
      GitHub is a development platform inspired by the way you work. From open
      source to business, you can host and review code, manage projects, and
      build software alongside millions of other developers.
    </p>
    <ol type="1">
      <li>
        <a href="https://help.github.com/articles/set-up-git/"
          >Set up Git and authenticate with GitHub</a
        >
        <ol type="1">
          <li>
            Install Git by entering <code>brew install git</code> into your
            terminal and hitting ‘enter’.
          </li>
          <li>
            <a
              href="https://help.github.com/articles/setting-your-username-in-git/"
              >Set your username</a
            >.
          </li>
          <li>
            <a
              href="https://help.github.com/articles/setting-your-commit-email-address-in-git/"
              >Set your commit email address</a
            >
            (use the email your GitHub account is associated with).
          </li>
          <li>
            <a
              href="https://help.github.com/articles/caching-your-github-password-in-git/"
              >Cash your password inside Git</a
            >
            (makes life easier).
          </li>
        </ol>
      </li>
    </ol>
    <blockquote>
      <h6 id="resources-9">Resources</h6>
      <p>
        <a href="https://git-scm.com/book/en/v2/Getting-Started-Git-Basics"
          >Getting Started - Git Basics</a
        >
        &gt; <a href="https://guides.github.com/">Github Guides</a><br />
        Description from <a href="https://github.com/">Github</a>
      </p>
    </blockquote>
    <h2 id="section-6"></h2>
    <h2 id="application-installation">Application Installation</h2>
    <p>
      The Application Installation section will walk you through installing your
      applications. Using Homebrew Cask, you can download and install the
      necessary applications, and clean the download files with just a few lines
      of code.
    </p>
    <h3 id="homebrew-cask-link-1">
      1. Homebrew Cask <a href="https://caskroom.github.io/">:link:</a>
    </h3>
    <p>
      Homebrew-Cask extends Homebrew and brings its elegance, simplicity, and
      speed to macOS applications and large binaries alike.
    </p>
    <h4 id="application">Application</h4>
    <ol type="1">
      <li>
        Decide what applications you would like to install with
        <a href="https://caskroom.github.io/search">Homebrew Cask Search</a>. 2.
        Enter <code>brew cask install [application]</code> into a Terminal
        prompt. This will install the selected application.
      </li>
      <li>
        Enter
        <code>brew cask install [application][space][application]</code> into a
        Terminal prompt to install multiple applications.
      </li>
      <li>
        After installing all desired applications, enter
        <code>brew cask cleanup</code> into a Terminal prompt to delete all
        download files.
      </li>
      <li>
        Enter <code>brew cask upgrade</code> into a Terminal prompt to upgrade
        all outdated casks.
      </li>
    </ol>
    <p>
      To install all of the following applications with a single line of code:
    </p>
    <ol type="1">
      <li>
        Enter
        <code
          >brew cask install google-chrome firefox slack skype figma sketch
          craftmanager adobe-creative-cloud sublime-text hyper</code
        >
        into a Terminal prompt.
      </li>
    </ol>
    <h4 id="fonts">Fonts</h4>
    <ol type="1">
      <li>Decide what fonts you would like to install with this directory</li>
      <li>
        Enter <code>brew cask install font-[font-name]</code> into a Terminal
        prompt
      </li>
      <li>
        To install Sourrce Sans Pro, enter
        <code>brew cask install font-source-sans-pro</code> into a Terminal
        prompt.
      </li>
    </ol>
    <p><strong>Web Browsers</strong>:</p>
    <ol type="1">
      <li>
        <a
          href="https://www.google.com/chrome/?brand=CHBD&amp;gclid=EAIaIQobChMIusnh086w2gIV2D2BCh1K6QSJEAAYASAAEgICbPD_BwE"
          >Google Chrome</a
        >
        <code>google-chrome</code>
      </li>
      <li>
        <a href="https://www.mozilla.org/en-US/firefox/new/">Mozilla Firefox</a>
        <code>firefox</code>
      </li>
    </ol>
    <p><strong>Communication Tools</strong>:</p>
    <ol type="1">
      <li><a href="https://slack.com/">Slack</a> <code>slack</code></li>
      <li><a href="https://www.skype.com/en/">Skype</a> <code>skype</code></li>
    </ol>
    <p><strong>Design Tools</strong>:</p>
    <ol type="1">
      <li><a href="https://www.figma.com/">Figma</a> <code>figma</code></li>
      <li>
        <a href="https://www.sketchapp.com/">Sketch</a> <code>sketch</code>
      </li>
      <li>
        <a
          href="https://www.invisionapp.com/craft?utm_source=google&amp;utm_medium=paid_search&amp;utm_campaign=AW_EC_G_NAM_Search_SemiBranded_EM&amp;utm_content=Craftmanager_EM&amp;utm_term=craftmanager_e&amp;_bk=craftmanager&amp;_bt=205525527839&amp;_bm=e&amp;_bn=g&amp;gclid=EAIaIQobChMI-OO-5NKw2gIVGL3sCh0c6wA-EAAYASAAEgIh3_D_BwE"
          >Craft Manager</a
        >
        <code>craftmanager</code>
      </li>
      <li>
        <a href="https://www.adobe.com/creativecloud.html"
          >Adobe Creative Cloud</a
        >
        <code>adobe-creative-cloud</code>
      </li>
    </ol>
    <p><strong>Text Editors</strong>:</p>
    <ol type="1">
      <li>
        <a href="https://www.sublimetext.com/">Sublime Text</a>
        <code>sublime-text</code>
      </li>
    </ol>
    <p><strong>Terminal</strong>:</p>
    <ol type="1">
      <li><a href="https://hyper.is/">Hyper</a> <code>hyper</code></li>
    </ol>
    <blockquote>
      <h6 id="resources-10">Resources</h6>
      <p>
        <a href="https://github.com/caskroom/homebrew-cask/blob/master/USAGE.md"
          >Homebrew Cask Documentation</a
        >
        Description from <a href="https://caskroom.github.io/">Homebrew Cask</a>
      </p>
    </blockquote>
    <hr />
    <h2 id="tasty-treats">Tasty Treats</h2>
    <p>
      The Tasty Treats section will tell you some of our Liferay team members’
      top picks for applications and extensions.
    </p>
    <h3 id="paul-hanaokas-picks">Paul Hanaoka’s Picks</h3>
    <ol type="1">
      <li><a href="https://clipy-app.com/">Clipy</a></li>
      <li><a href="https://imageoptim.com/">Imageoptim</a></li>
      <li>
        <a href="https://ohmyz.sh">zsh</a>
        <ol type="1">
          <li>
            <a href="https://github.com/zsh-users/zsh-autosuggestions"
              >zsh-autosuggestions</a
            >
          </li>
          <li>
            <a href="https://github.com/zsh-users/zsh-syntax-highlighting"
              >zsh-syntax-highlighting</a
            >
          </li>
        </ol>
      </li>
      <li>
        <a href="https://code.visualstudio.com">VS Code</a>
        <ol type="1">
          <li>
            <a
              href="https://marketplace.visualstudio.com/items?itemName=Shan.code-settings-sync"
              >Settings Sync</a
            >
            —
            <a
              href="https://gist.github.com/plhnk/684f94eb90575c908f2e9b53b8dfecdf"
              >Paul’s Settings (Gist)</a
            >
          </li>
        </ol>
      </li>
    </ol>
    <p>
      To install all of the following applications with a single line of code
      enter:
    </p>
    <p>
      <code
        >brew cask install clipy imageoptim zsh zsh-autosuggestions
        zsh-syntax-highlighting visual-studio-code</code
      >
    </p>
    <p>into a Terminal prompt.</p>
    <h4 id="pauls-complete-list">Paul’s Complete List</h4>
    <p>
      <code
        >brew cask install google-chrome firefox slack skype figma sketch
        google-drive-file-stream adobe-creative-cloud sublime-text flux
        bettertouchtool opera visual-studio-code vivaldi clipy dropbox
        imageoptim brave</code
      >
    </p>
    <h4 id="pauls-fonts">Paul’s Fonts</h4>
    <p>
      <code
        >brew cask install font-source-sans-pro font-blokk-neue
        font-playfair-display-sc font-playfair-display</code
      >
    </p>
    <h3 id="abel-hancocks-top-picks">Abel Hancock’s Top Picks</h3>
    <ol type="1">
      <li>
        <a href="https://www.iterm2.com/">iterm<sup>2</sup></a>
        <code>iterm2</code>
      </li>
      <li>
        <a href="http://colororacle.org/">Color Oracle</a>
        <code>color-oracle</code>
      </li>
    </ol>
    <p>
      To install all of the following applications with a single line of code
      enter
    </p>
    <p><code>brew cask install iterm2</code></p>
    <p>into a Terminal prompt.</p>
    <h3 id="naoki-hisamotos-top-picks">Naoki Hisamoto’s Top Picks</h3>
    <ol type="1">
      <li><a href="https://www.notion.so/">Notion</a> <code>notion</code></li>
      <li>
        <a href="http://lightheadsw.com/caffeine/">Caffeine</a>
        <code>caffeine</code>
      </li>
      <li>
        <a href="https://pqrs.org/osx/karabiner/">Karabiner Elements</a>
        <code>karabiner-elements</code>
      </li>
      <li>
        <a href="https://www.spotify.com/us/">Spotify</a> <code>spotify</code>
      </li>
    </ol>
    <p>
      To install all of the following applications with a single line of code
      enter
    </p>
    <p>
      <code>brew cask install notion caffeine karabiner-elements spotify</code>
    </p>
    <p>into a Terminal prompt.</p>
    <h3 id="rebecca-wus-top-picks">Rebecca Wu’s Top Picks</h3>
    <ol type="1">
      <li><a href="https://justgetflux.com/">Flux</a> <code>flux</code></li>
      <li>
        <a href="https://evernote.com/">Evernote</a> <code>evernote</code>
      </li>
    </ol>
    <p>
      To install all of the following applications with a single line of code
      enter:
    </p>
    <p><code>brew cask install flux evernote</code></p>
    <p>into a Terminal prompt.</p>
    <h3 id="james-lyons-top-picks">James Lyons’ Top Picks</h3>
    <ol type="1">
      <li>
        <a href="https://koekeishiya.github.io/chunkwm/"
          >Chunk Window Manager</a
        >
        <code>chunkwm</code>
      </li>
      <li>
        <a href="https://github.com/koekeishiya/skhd">Simple Hotkey Daemon</a>
        <code>skhd</code>
      </li>
      <li>
        <a href="https://www.gitkraken.com/">GitKraken</a>
        <code>gitkraken</code>
      </li>
    </ol>
    <p>
      To install all of the following applications with a few lines of code
      enter:
    </p>
    <pre><code>brew tap crisidev/homebrew-chunkwm
brew install chunkwm koekeishiya/formulae/skhd
brew cask install gitkraken</code></pre>
    <p>into a Terminal prompt.</p>
  </body>
</html>
